Package com.sun.jna.platform.win32

# Class WininetUtil

java.lang.Object
com.sun.jna.platform.win32.WininetUtil

public class WininetUtil extends Object
Reusable functions that use WinInet

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WininetUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Map<String,String>`
  `getCache()`
  Helper function for traversing wininet's cache and returning all entries.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WininetUtil

    public WininetUtil()

- ## Method Details

  - ### getCache

    public static Map<String,String> getCache()
    Helper function for traversing wininet's cache and returning all entries.
    Some entries are cookies, some entries are history items, and some are actual files.
    Returns:
      A map of cache URL => local file (or URL => empty string for cookie and history entries)